/**
 * Texture.h
 * Lum, Darrell
 * CPE 471-01
 * Final Project, due 6 June 2006
 * Z. Wood
 * 
 * A Texture is a bitmap (size power of 2) used to create landscapes or
 * other situations that require the use of texture mapping.
 *
 * Original Source: ZJW lab 11 code.
 * Edits:
 * 1. DAL:  implemented final project.
 **/

#ifndef TEXTURE_H
#define TEXTURE_H

#include "include.h"

class Texture
{
private:
    unsigned long size_x;   // x length of the texture
    unsigned long size_y;   // y length of the texture
    char * data;            // Representation of texture content

    int loadImage(char * filename);

public:
    Texture(char * filename, int tex_id);
    ~Texture() {delete data;}
};

unsigned int getshort(FILE *fp);
unsigned int getint(FILE *fp);

#endif