/**
 * Tri.h
 * Lum, Darrell
 * CPE 471-01
 * Final Project, due 6 June 2006
 * Z. Wood
 * 
 * A Triangle is a structure whose shape is determined by three vertices.
 *
 * Original Source: My Program 4 code.
 * Edits:
 * 1. DAL:  implemented final project.
 **/

#ifndef TRI_H
#define TRI_H

#include "include.h"

using namespace std;

class Tri {
public:
    int v1;         // First vertex
    int v2;         // Second vertex
    int v3;         // Third vertex
    Vector3 normal; // Normal to the face of the triangle
    Vector3 color;  // glColor for this face

    Tri(int in_v1, int in_v2, int in_v3) : v1(in_v1), v2(in_v2), v3(in_v3),
        normal(0, 1, 0) {}
    Tri() : normal(0, 1, 0) {}
};

void calcNormal(Tri* t, vector<Point3 *> * points, int partID);

#endif