/**
 * Point3.h
 * Lum, Darrell
 * CPE 471-01
 * Final Project, due 6 June 2006
 * Z. Wood
 * 
 * A Point3 is a Vector3 that has a normal for smooth shading calculations.
 *
 * Original Source: N/A
 * Edits:
 * 1. DAL:  implemented final project.
 **/

#ifndef POINT3_H
#define POINT3_H

#include "include.h"

class Point3 : public Vector3
{
public:
    Vector3 normal; // Normal to this point

    /**
     * Construct a new point with the given coordinates.
     */
    Point3(float in_x, float in_y, float in_z)
    {
        x = in_x;
        y = in_y;
        z = in_z;
        normal.x = normal.y = normal.z = 0;
    }
    Point3() {}
};

#endif