/**
 * RO_Poring.h
 * Lum, Darrell
 * CPE 471-01
 * Final Project, due 6 June 2006
 * Z. Wood
 * 
 * A poring is a monster in the MMORPG Ragnarok Online.  It explodes into
 * little globs when killed.
 *
 * Original Source: N/A
 * Edits:
 * 1. DAL:  implemented final project.
 **/

#ifndef RO_PORING_H
#define RO_PORING_H

#include "include.h"

class RO_Poring : public RO_Figure
{
    void draw_upper_headgear();
    void draw_middle_headgear();
    void draw_lower_headgear();
    void draw_torso();
    void draw_head();
    void draw_right_arm();
    void draw_left_arm();
    void draw_right_hand();
    void draw_left_hand();
    void draw_right_foot();
    void draw_left_foot();
    void draw_right_leg();
    void draw_left_leg();
    void draw_skill_timer(float angle, float percent);

    void draw_death();

public:
    RO_Poring(RO_Monk * amonk);
    ~RO_Poring() {};
    RO_Monk * monk;                     // Monk used to kill the poring

    void draw(int theta, float omega);
};

#endif