/**
 * Vector3.h
 * Lum, Darrell
 * CPE 471-01
 * Final Project, due 6 June 2006
 * Z. Wood
 * 
 * Vector3 is a structure that stores 3D points.
 *
 * Original Source: N/A
 * Edits:
 * 1. DAL:  implemented final project.
 **/

#ifndef VECTOR3_H
#define VECTOR3_H

#include "include.h"

class Vector3
{
public:
    float x;    // x coordinate
    float y;    // y coordinate
    float z;    // z coordinate

    Vector3(float in_x, float in_y, float in_z) : x(in_x), y(in_y), z(in_z) {}
    Vector3() {}

};

float dotProd(Vector3 v1, Vector3 v2);
float getAngle(Vector3 v1, Vector3 v2);
void crossProd(Vector3 a, Vector3 b, Vector3 &c);
float getVectorLength(Vector3 v);

#endif